For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The EngagementType object
          • GET/engagement-types
          • GET/engagement-types/{id}
          • GET/engagement-types/remote-field-classes

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsEngagement types

/engagement-types/{id}

GET
/crm/v1/engagement-types/:id
GET
/api/crm/v1/engagement-types/:id
$curl https://api.merge.dev/api/crm/v1/engagement-types/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "activity_type": "CALL",
7 "name": "First Call",
8 "remote_fields": [
9 {
10 "remote_field_class": {
11 "id": "string",
12 "display_name": "string",
13 "remote_key_name": "string",
14 "description": "string",
15 "is_custom": true,
16 "is_common_model_field": true,
17 "is_required": true,
18 "field_type": "string",
19 "field_format": "string",
20 "field_choices": [
21 "string"
22 ],
23 "item_schema": {
24 "item_type": "string",
25 "item_format": "string",
26 "item_choices": [
27 "string"
28 ]
29 }
30 },
31 "value": "string"
32 }
33 ]
34}

Returns an EngagementType object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/engagement-types

Next

/engagement-types/remote-field-classes

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
activity_typeenum or null
The engagement type's activity type.
Allowed values:
namestring or null
The engagement type's name.
remote_fieldslist of objectsRead-only